<?php
# ------------------ BEGIN LICENSE BLOCK ------------------
#
# This file is part of Cmixml plugin for pluxml : http://sudwebdesign.free.fr/
#
# Copyright © 2018-2020 Thomas Ingles
# Copyright © 2010-2011 Stephane Ferrari and contributors
# Copyright © 2008-2009 Florent MONTHEL and contributors
# Copyright © 2006-2008 Anthony GUERIN
# Licensed under the GPL license.
# See http://www.gnu.org/licenses/gpl.html
#
# ------------------- END LICENSE BLOCK -------------------
/* dérivé du plugin Gutuma et PluXml (gutuma/news/inc/_pluxml.php & from core/admin/prepend.php)
 * @version 1.1.1 (ck : 4.14.1)
 * @date	21/07/2020
 * @author	Thomas Ingles : sudwebdesign.free.fr
*/
$pluginName = basename(__DIR__);
# Définition des constantes de pluxml
define('PLX_TOOT', '..'.DIRECTORY_SEPARATOR.'..'.DIRECTORY_SEPARATOR);// TOOT 4 SYMBIOLINK
$config = 'core'.DIRECTORY_SEPARATOR.'lib'.DIRECTORY_SEPARATOR.'config.php';
#GOODROOT : PLX_ROOT détermine le chemin des params de XMLFILE_PARAMETERS *
if(is_readable(PLX_TOOT.$config)){#Auto detect if is symlinked (test if tinymce is symlinked from other folder (I use it 4 my dev Th0m@s))
 define('PLX_ROOT', PLX_TOOT);# Normal config, tiny is in plugins folder 4 real * comment this line if tiny is symlinked & in an other PluXml
}else{
 $gu_sub = explode('plugins',$_SERVER['DOCUMENT_ROOT'].$_SERVER['PHP_SELF']);
 $gu_sub = str_replace($_SERVER['DOCUMENT_ROOT'].DIRECTORY_SEPARATOR,'',$gu_sub[0]);//4 found subdir where plx is
 define('PLX_ROOT',$_SERVER['DOCUMENT_ROOT'].DIRECTORY_SEPARATOR.$gu_sub);
}
# FIX PLX_CONFIG_PATH on next gen
$plx_version = $_GET['plx_version'];
if(version_compare($plx_version,'5.9.0','<')){# <= 5.8x
	define('PLX_CORE', PLX_ROOT.'core'.DIRECTORY_SEPARATOR);#fix : PLX_CORE already defined in PluXml/core/lib/config.php 5.9 & 6.0
	include(PLX_ROOT.'config.php');# FIX PLX_CONFIG_PATH 5.8.3+
}
include(PLX_ROOT.$config);#> 5.8.3 define PLX_CORE & inc config

# On démarre la session
session_start();

# On inclut les librairies nécessaire
foreach(explode('·','date·glob·utils·msg·record·motor·admin·encrypt·medias·plugins·token·capcha·erreur·feed·show') as $plx_class)
 include_once(PLX_CORE.'lib/class.plx.'.$plx_class.'.php');

# Creation de l'objet principal et lancement du traitement
$plxMotor = plxMotor::getInstance();
if (!isset($plxMotor->plxPlugins->aPlugins[$pluginName])) exit;
//$plxMotor->mode='ckeditor_upload';//4 future ::: & solved bug header 404 in demarrage & prechauffage funct() but in reality is'nt util here (more perf ;-)
