<?php # This file is part of CKEditorSudwebdesign plugin for pluxml : @date 28/01/2019 : http://sudwebdesign.free.fr/
require('ajax_upload_init.php');
if(!isset($_SESSION['user'])) exit;

//www.tinymce.com/docs/advanced/php-upload-handler/ adapted
  /*******************************************************
   * Only these origins will be allowed to upload images *
   ******************************************************/

  $accepted_origins = array($plxMotor->racine);//,'http://localhost', 'http://192.168.1.1', 'http://my-domain.me'

  /*********************************************
   * Change this line to set the upload folder *
   *********************************************/
  $imageFolder = 'blobs_ck';

  reset ($_FILES);
  $temp = current($_FILES);
  if (is_uploaded_file($temp['tmp_name'])){
    if (isset($_SERVER['HTTP_ORIGIN'])) {
// same-origin requests won't set an origin. If the origin is set, it must be valid.
      if (in_array($_SERVER['HTTP_ORIGIN'], $accepted_origins)) {
        header('Access-Control-Allow-Origin: ' . $_SERVER['HTTP_ORIGIN']);
      } else {
        header("HTTP/1.0 403 Origin Denied");
        return;
      }
    }

/*
      If your script needs to receive cookies, set images_upload_credentials : true in
      the configuration and enable the following two headers.
*/
     header('Access-Control-Allow-Credentials: true');
     header('P3P: CP="There is no P3P policy."');

// Sanitize input
    if (preg_match("/([^\w\s\d\-_~,;:\[\]\(\).])|([\.]{2,})/", $temp['name'])) {
        header("HTTP/1.0 500 Invalid file name.");
        return;
    }

// Verify extension
    if (!in_array(strtolower(pathinfo($temp['name'], PATHINFO_EXTENSION)), array("gif", "jpg", "jpeg", "png"))) {
        header("HTTP/1.0 500 Invalid extension.");
        return;
    }

/* #”€þ
    if(isset($plxMotor->aConf['medias'])){// plx.5.4+
         $c = array($d.$plxMotor->aConf['medias'],$s.$plxMotor->aConf['medias']);
         $r = array($d.$plxMotor->racine.$plxMotor->aConf['medias'],$s.$plxMotor->racine.$plxMotor->aConf['medias']);
    }else{
         $c = array($d.$plxMotor->aConf['images'],$s.$plxMotor->aConf['images'],$d.$plxMotor->aConf['documents'],$s.$plxMotor->aConf['documents']);
         $r = array($d.$plxMotor->racine.$plxMotor->aConf['images'],$s.$plxMotor->racine.$plxMotor->aConf['images'],$d.$plxMotor->racine.$plxMotor->aConf['documents'],$s.$plxMotor->racine.$plxMotor->aConf['documents']);
    }
*/
    if(isset($plxMotor->aConf['medias'])){// plx.5.4+
         $a = PLX_ROOT.$plxMotor->aConf['medias'];//$plxMotor->racine.$plxMotor->aConf['medias'];
         $r = $plxMotor->racine.$plxMotor->aConf['medias'];
    }else{
         $a = PLX_ROOT.$plxMotor->aConf['images'];//$plxMotor->racine.$plxMotor->aConf['images'];
         $r = $plxMotor->racine.$plxMotor->aConf['images'];
    }

//  Accept upload if there was no origin, or if it is an accepted origin
    //~ $absoImageFolder = PLX_ROOT.$plxMotor->plxPlugins->aPlugins[$pluginName]->getParam('folder').$imageFolder.DIRECTORY_SEPARATOR;//absolute
    //~ $relaImageFolder = PLX_TOOT.$plxMotor->plxPlugins->aPlugins[$pluginName]->getParam('folder').$imageFolder.DIRECTORY_SEPARATOR;//relative
    $absoImageFolder = $a.$imageFolder.DIRECTORY_SEPARATOR;//absolute
    $relaImageFolder = $r.$imageFolder.DIRECTORY_SEPARATOR;//relative
    if(!is_dir($absoImageFolder)) mkdir($absoImageFolder);// if not, create upload folder
    $iseo = '';
    if(isset($_SERVER['HTTP_REFERER'])){
     $esrap = parse_url($_SERVER['HTTP_REFERER']);//scheme host path query
     //~ $iseo = str_replace(array('/core/admin/','.php'),'',$esrap['path']).'_';//
     $iseo = explode(DIRECTORY_SEPARATOR,$esrap['path']);//
     $iseo = str_replace('.php','',end($iseo)).'_';//
     if(isset($esrap['query'])){
      $qr = explode('=',$esrap['query']);
      $iseo .= str_replace($qr[0].'=','',$esrap['query']).'_';
     }
    }
    $date = date('Y-m-d_H-m-i').'_';
    move_uploaded_file($temp['tmp_name'], $absoImageFolder . $iseo . $date . $temp['name']);
    //  Respond to the successful upload with JSON. (See https://ckeditor.com/docs/ckeditor4/latest/guide/dev_file_upload.html)
    header('Content-Type: text/javascript');#JSON 4 ALL PHP
//echo '/*console.log("ajax up to:","Relatve : '.$relaImageFolder.'","Absolute : '.$relaImageFolder.'");*/';
    echo '{"uploaded": 1,"fileName": "'.$iseo . $date . $temp['name'].'","url": "'.$relaImageFolder . $iseo . $date . $temp['name'].'"}';
  } else {
    // Notify editor that the upload failed
    header('Content-Type: text/javascript');#JSON 4 ALL PHP
    header("HTTP/1.0 500 Server Error");
//echo '/*console.log("error ajax up to:","Relatve : '.$relaImageFolder.'","Absolute : '.$relaImageFolder.'");*/';
    echo '{"uploaded": 0,"fileName": "'.$iseo . $date . $temp['name'].'","url": "'.$relaImageFolder . $iseo . $date . $temp['name'].'","error": {"message": "500 Server Error"}}';
  }
