<?php if(!defined('PLX_ROOT')) exit;

# Control du token du formulaire
plxToken::validateFormToken($_POST);
/* De kzAce #merci @Bazooka07
 * Pour obtenir la liste des fichiers *.php utilisant printArea dans le dossier core/admin/ :
 * grep -l printArea ../../core/admin/*.php |sed 's/^.*\/\([^\/]\+\)\.php$/\1/'
 * grep -l n'affiche que le nom des fichiers ayant une occurence
 *
 * Pour obtenir la liste de tous les noms des champs employés par printArea :
 * grep -hi printArea ../../core/admin/*.php | sed "s/^.*printArea('\([^']\+\).*$/\1/i"|sort |uniq
 * grep -h n'affiche pas le nom des fichiers
 * */
$_ADMIN_FILES = 'article categorie statique profil user comment parametres_affichage parametres_edittpl';
if (!defined('L_THEMES'))// 5.5+
 define('L_THEMES',L_CONFIG_EDITTPL_TITLE);//5.2
$ADMIN_LANGS = array(
L_MENU_ARTICLES,
defined('L_CATEGORIES')?L_CATEGORIES:L_MENU_CATEGORIES,#>5.8.3
L_MENU_STATICS,
defined('L_PROFIL')?L_PROFIL:L_MENU_PROFIL,#>5.8.3
L_MENU_CONFIG_USERS,
//L_CREATE_NEW_COMMENT, // comment_new ::: "comment" est dans "comment_new" en ExpReg et c+simple ;)
defined('L_COMMENTS')?L_COMMENTS:L_MENU_COMMENTS,#>5.8.3
L_MENU_CONFIG_VIEW,
L_THEMES// php protégé
//L_PLUGINS_CSS // parametres_plugincss #pluxml-5.6. Inutile & inutilisable en css /!\
);

# CkEditor or themes dynamic #like glob
$_aSKINS = array();
$dir = dirname(__FILE__).'/ckeditor/skins/';
$skn_dir = array_diff(scandir($dir), array('..', '.'));
foreach($skn_dir AS $skn){
	#$skn = explode('.',$skn);
	#$skn = $skn[0];
	$_aSKINS[$skn] = $skn;
}
unset($skn_dir,$skn);

$params = array(
	'skin'			=> 'string',
	'admin_files'		=> 'string'
);

$adm_files = explode(' ', $_ADMIN_FILES);

# Code mirror themes dynamic #like glob *.css
$cmthemes = array();
$dir = dirname(__FILE__).'/ckeditor/plugins/codemirror/theme/';
$thm_dir = array_diff(scandir($dir), array('..', '.'));
foreach($thm_dir AS $thm){
	$thm = explode('.',$thm);
	$thm = $thm[0];
	$cmthemes[$thm] = $thm;
}

if(!empty($_POST)) {

	$plxPlugin->setParam('extraPlugins', $_POST['extraPlugins'], 'cdata');
	$plxPlugin->setParam('height', $_POST['height'], 'string');
	$plxPlugin->setParam('tools', $_POST['tools'], 'string');
	$plxPlugin->setParam('skin', $_POST['skin'], 'string');
	$plxPlugin->setParam('spellcheck', $_POST['spellcheck'], 'string');
	$plxPlugin->setParam('cmtheme', $_POST['cmtheme'], 'string');
	$plxPlugin->setParam('admin_files_extend', $_POST['admin_files_extend'], 'string');

	function array_filter_item($item)/* use ($adm_files) */{//old php 5.1.*
		global $adm_files;
		return in_array($item, $adm_files);
	}

	foreach($params as $field=>$type) {
		if(!empty($_POST[$field])) {
			switch($type) {
				case 'string':
					$value = $_POST[$field];
					if(is_string($value)) {
						$param = plxUtils::strCheck($value);//filter_input(INPUT_POST, $field, FILTER_SANITIZE_STRING);//not in php<5.2
						$plxPlugin->setParam($field, $param, 'string');
					} elseif(is_array($value)) {
						$values = array_filter($value, 'array_filter_item');// as not func anonym*
						if(!empty($values)) {
							$param = implode('|', $values);
							$plxPlugin->setParam($field, $param, 'string');
						} else {
							$plxPlugin->delParam($field);//5.4+
						}
					}
					break;
				default:
					// Nothing to do
			}
		} else {
			$plxPlugin->delParam($field);//PluXml-5.4+
		}
	}


	$adm_files = $plxPlugin->getParam('admin_files');
	$adm_files_ext = $plxPlugin->getParam('admin_files_extend');
	if(!empty($adm_files_ext)){//
		$adm_files_ext = explode(',',$adm_files_ext);
		$adm_files_ext = implode('|',$adm_files_ext);
		if(!empty($adm_files)) $adm_files_ext = '|' . $adm_files_ext;
		$plxPlugin->setParam('admin_files', $adm_files.$adm_files_ext, 'string');
	}


	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p='.get_class($plxPlugin));
	exit;
}
?>
<style>
form.inline-form label {
	width: 300px ;
}
#form_<?php echo get_class($plxPlugin); ?> {
	margin-bottom: 3rem;
}
#form_<?php echo get_class($plxPlugin); ?> label {
	display: inline-block;
}
#form_<?php echo get_class($plxPlugin); ?> .admin-files label {
	text-align: right;
}
#form_<?php echo get_class($plxPlugin); ?> .admin-files {
	display: flex;
	flex-wrap: wrap;
}
#form_<?php echo get_class($plxPlugin); ?> .admin-files p {
	margin: 0.3rem 0;
}
#form_<?php echo get_class($plxPlugin); ?> .icon {
	position: fixed;
	bottom: 1.23rem;
	right: 4.56rem;
}
#form_<?php echo get_class($plxPlugin); ?> .icon img{
	height:32px !important;
}
</style>
<form class="inline-form" id="form_<?php echo get_class($plxPlugin); ?>" action="parametres_plugin.php?p=<?php echo get_class($plxPlugin); ?>" method="post">
	<fieldset>
		<label for="id_static"><?php $plxPlugin->lang('L_WHAT') ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_WARN') ?></span></a>:</label>
		<div class="admin-files">
<?php
	$field = 'admin_files';
	$values = explode('|', $plxPlugin->getParam($field));
	foreach($adm_files as $id => $item) {
?>
			<p>
				<label for="file_<?php echo $item; ?>"><?php echo $ADMIN_LANGS[$id]; ?></label>
				<input type="checkbox"
					name="admin_files[]"
					id="file_<?php echo $item; ?>"
					value="<?php echo $item; ?>"
					<?php if(in_array($item, $values)) { echo ' checked'; } ?>
				>
			</p>
<?php
	}
?>
		</div>
		<p>
			<label for="file_extend"><?php $plxPlugin->lang('L_FILES_EXTEND') ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_TIPS_FILES_EXTEND') ?> mapage.html, article,  </span></a>:</label>
			<?php plxUtils::printInput('admin_files_extend',$plxPlugin->getParam('admin_files_extend'),'text','40-255') ?>
		</p>
		<p>
			<label for="id_height"><?php $plxPlugin->lang('L_EDITOR_HEIGHT') ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_TIPS_HEIGHT') ?> 500, 25em, 40rem, 450px</span></a>:</label>
			<?php plxUtils::printInput('height',$plxPlugin->getParam('height'),'text','7-7') ?>
		</p>
		<p>
			<label for="id_tools"><?php $plxPlugin->lang('L_TOOLS') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('tools',array('hide'=>$plxPlugin->getLang('L_TOOLBAR0'), 'open'=>$plxPlugin->getLang('L_TOOLBAR1'), 'see'=>$plxPlugin->getLang('L_TOOLBAR2') ), $plxPlugin->getParam('tools'));?>
		</p>
		<p>
			<label for="id_skin"><?php echo L_CONFIG_VIEW_SKIN_SELECT ?> (CKEditor)&nbsp;:</label>
			<?php plxUtils::printSelect('skin', $_aSKINS, $plxPlugin->getParam('skin'));?>
		</p>
		<p>
			<label for="id_cmtheme"><?php echo L_CONFIG_VIEW_SKIN_SELECT ?> (codemirror)&nbsp;:</label>
			<?php plxUtils::printSelect('cmtheme',$cmthemes, $plxPlugin->getParam('cmtheme'));?>
		</p>
		<p>
			<label for="id_spellcheck"><?php $plxPlugin->lang('L_SPELLCHECK') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('spellcheck',array('browser'=>$plxPlugin->getLang('L_SPELLCHECK0').' ('.$plxPlugin->getLang('L_RIGHTCLICK').')','no'=>$plxPlugin->getLang('L_SPELLCHECK1') ), $plxPlugin->getParam('spellcheck'));?>
		</p>
		<p>
			<label for="id_extraPlugins">extraPlugins&nbsp;:&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_COMMA') ?></span></a></label>
			<?php plxUtils::printInput('extraPlugins',$plxPlugin->getParam('extraPlugins'),'text','40-255') ?>
			<a href="https://ckeditor.com/cke4/addons/plugins/all" title="extraPlugins">https://ckeditor.com/cke4/addons/plugins/all</a>
		</p>
		<p class="in-action-bar">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_SAVE') ?>" />
		</p>
		<div class="icon">
			<a href="https://ckeditor.com/cke4/builder/02df6cb86318d1d9f43bb3771d5c8aa8" target="_blank" rel="noreferrer">
				<img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/ckeditor.png" alt="Icon ckeditor" />
			</a>
			<a href="http://php.net/" target="_blank" rel="noreferrer">
				<img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/php.png" alt="Icon php" />
			</a>
			<a href="http://codemirror.net/" target="_blank" rel="noreferrer">
				<img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/codemirror.png" alt="Icon codemirror" />
			</a>
		</div>
	</fieldset>
</form>
